--- url: >- https://developer-portal.gainsight.com/docs/api/operations/user/bulkUserAddRole.md --- # Bulk add roles to users User Bulk add roles to users ## Endpoint ``` POST https://api2-eu-west-1.insided.com/api1/user/bulk/role ``` ### Request Body `application/json` (required) | Field | Type | Required | Description | |-------|------|----------|-------------| | `data` | object | No | — | ### Responses | Status | Description | |--------|-------------| | 204 | | | 404 | Not Found | | 500 | Unexpected error |